/*
 * 	quelques connecteurs pour agrementer les appareils etranges
 *	de l'univers occulte de tonton Th
 */
#ifndef (CONNECTEURS_DE_TTH)
#declare CONNECTEURS_DE_TTH = 42;
/* ==================================================================== */
/* connecteur a la con pour mettre en face avant du GlobalCatcher */
#declare Connecteur_ALC_0_base = object
{
union	{
	box { <-1.7, -1, -0.10>, <1.7, 1, 0.11> }
	cylinder { <-1.9, 0, -0.12>, <-1.9, 0, 0.08>, 0.80 }
	cylinder { < 1.9, 0, -0.12>, < 1.9, 0, 0.08>, 0.80 }
	}
texture { Rust scale 6.5 }		/* wtf ? "rust" ? */
}
#declare Connecteur_ALC_0_contour = object
{
difference { 
	box { <-1.4, -0.7, 0.10>, <1.4, 0.7, 0.91> }
	box { <-1.3, -0.6, 0.05>, <1.3, 0.6, 0.97> }
	}
texture { Aluminum }
}
#declare Connecteur_ALC_0_une_pinouille = object
{
union	{
	cylinder { <0, 0, 0>, <0, 0, 0.80>, 0.100 }
	sphere { <0, 0, 0.8>, 0.100 }
	}
texture { T_Copper_5C }
}
#declare Connecteur_ALC_0_les_pinouilles = object
{
union	{
	object { Connecteur_ALC_0_une_pinouille translate <-0.9, -0.35, 0> }
	object { Connecteur_ALC_0_une_pinouille translate < 0.9, -0.35, 0> }
	object { Connecteur_ALC_0_une_pinouille translate <-0.9,  0.35, 0> }
	object { Connecteur_ALC_0_une_pinouille translate < 0.9,  0.35, 0> }
	object { Connecteur_ALC_0_une_pinouille translate <-0.2, -0.35, 0> }
	object { Connecteur_ALC_0_une_pinouille translate < 0.2,  0.35, 0> }
	}
}
#declare Connecteur_ALC_0 = object
{
union	{
	object { Connecteur_ALC_0_base }
	object { Connecteur_ALC_0_contour }
	object { Connecteur_ALC_0_les_pinouilles }
	}
}
/* ==================================================================== */
#declare Connecteur_MIDI_femelle = object
{
cylinder { <-0.1, 0, 0>, <0.1, 0, 0>, 2 }
}
/* ==================================================================== */
/* ==================================================================== */
#else
#error "les connecteurs de tTh sont deja ici..."
#end
/* ==================================================================== */
