/*
 *	ELEKTRYK.INC  -  new 24 janvier 2007 - ave St Exupery
 */
/* ==------------------------------------------------------------== */
/* quelques textures (reprises de labtools.inc) */
#declare Elektryk_Rouge = texture
{
pigment { color rgb <0.88, 0.12, 0.12> }
finish { phong 0.78 phong_size 4.0 }
}
#declare Elektryk_Vert = texture
{
pigment { color Green }
finish { phong 0.78 phong_size 4.0 }
}
#declare Elektryk_Jaune = texture 
{
pigment { color Yellow }
finish { phong 0.78 phong_size 4.0 }
}
/* ==------------------------------------------------------------== */
#declare Elektryk_une_borne = object
{
difference {
	union	{
		box { <-1, 0, -1>, <1, 0.3, 1> }
		cylinder { <0, 0, 0>, <0, 1.44, 0>, 0.71 }
		sphere { <0, 1.44, 0>, 0.71 }
		}
	cylinder { <-2, 1.2, 0>, <2, 1.2, 0>, 0.4 }
	}
}

#declare Elektryk_Borne_Rouge = object
{
object {  Elektryk_une_borne }
texture { Elektryk_Rouge }
}
#declare Elektryk_Borne_Verte = object
{
object {  Elektryk_une_borne }
texture { Elektryk_Vert }
}
#declare Elektryk_Borne_Jaune = object
{
object {  Elektryk_une_borne }
texture { Elektryk_Jaune }
}
/* ================================================================== */
/* revamping 29 decembre 2011 */
#declare Pile_Volta_base = object
{
difference {
	box { <-5, 0, -5>, <9, 1, 5> }
	cylinder { <9, 1, -7>, <9, 1, 7>, 0.205 }
	}
pigment { color Brown }
}

#declare Pile_Volta_bottom = object
{
difference {
	box { <-4, 0, -4>, <4, 1, 4> }
	cylinder { <-4, -1, -4>, <-4, 2, -4>, 0.612 }
	cylinder { < 4, -1, -4>, < 4, 2, -4>, 0.612 }
	cylinder { <-4, -1,  4>, <-4, 2,  4>, 0.612 }
	cylinder { < 4, -1,  4>, < 4, 2,  4>, 0.612 }
	}
texture {
	pigment { color Gray25 }
	}
translate 1*y
}
#declare Pile_Volta_top = object
{
/* une copie  de faignasse */
object { Pile_Volta_bottom }
translate 31*y
}


/* ---- les trois couches : deux metaux et de l'eponge ---- */
#declare Pile_Volta_couche_etain = object
{
cylinder { <0, 0, 0>, <0, 0.1, 0>, 3.0 }
texture {
	pigment { color Gray70 }
	finish { phong 0.5 phong_size 3.0 metallic 0.77 }
	}
}
#declare Pile_Volta_couche_cuivre = object
{
cylinder { <0, 0, 0>, <0, 0.1, 0>, 3.03 }
texture {
	pigment { color Gray70 }
	finish { phong 0.5 phong_size 3.0 metallic 0.77 }
	}
}
#declare Pile_Volta_couche_tissu = object
{
cylinder { <0, 0, 0>, <0, 0.4, 0>, 2.90 }
texture {
	pigment { color Blue }
	finish { phong 0.75 }
	}
}

#declare Pile_Volta_col = object
{
union	{
#declare foo=0;
#while (foo < 30)
	object { Pile_Volta_couche_etain translate foo*y }
	object { Pile_Volta_couche_cuivre translate (0.10+foo)*y }
	object { Pile_Volta_couche_tissu  translate (0.20+foo)*y }
	#declare foo = foo + 0.60;
#end
	}
}

#declare Pile_Volta_bornes = object
{
union	{
	object {  Elektryk_Borne_Verte translate <7, 1, -3> }
	object {  Elektryk_Borne_Rouge translate <7, 1,  3> }
	}
}
/* ==------------------------------------------------------------== */
#declare Pile_Volta = object
{
union	{
	object { Pile_Volta_base }
	object { Pile_Volta_bottom }
	object { Pile_Volta_col }
	object { Pile_Volta_top }
	object { Pile_Volta_bornes }
	}
}
/* ==------------------------------------------------------------== */

/* ==------------------------------------------------------------== */
