/*
 *	flipper.inc	|||	new Tue Feb 23 20:19:16 CET 2010
 */

/*  ===============================================================  */
/* quelques textures */
#declare Flipper_0_Jaune = texture 
{
pigment { color Yellow }
finish { ambient 0.15  }
}
#declare Flipper_0_mechanic = texture
{
pigment { color Gray50 }
finish { specular 0.7 metallic 0.5 }
}
/*  ===============================================================  */
#declare Flipper_0_bouton = object
{
cylinder { <0, 0, 0>, <0, 5, 0>, 12 }
}
/*  ---------------------------------------------------------------  */
#declare Flipper_0_plateau = object
{
/* la boite horizontale */
difference {
	box { <-40.0, 80.0, 0>, <40.0, 120, 170> }
	box { <-38.0, 81.0, 10>, <38.0, 121, 169> }

	/* la decoupe en diagonale */
	box { <-45, 100, 20>, <45, 130, 210>
				rotate 5*x translate <0, 27, -30> }
	}
texture { Flipper_0_Jaune }
}

/*  ---------------------------------------------------------------  */
#declare Flipper_0_affichage_boite = object
{
/* la boite verticale */
difference {
	box { <-40.0, 130,  0>, <40.0, 190, 32> }
	box { <-39.0, 131, 26>, <39.0, 189, 33> }
	}
texture { Flipper_0_Jaune }
}

#declare Flipper_0_affichage_fronton = object
{
difference { 
	union	{
		box { <-20, 0, -5>, <20, 10, 5> }
		cylinder { <0, 10, -4>, <0, 10, 5.5>, 5.1 }
		}
	sphere { <0, 10, 5.5>, 3.5 }
	}
pigment { color Cyan }
}

#declare Flipper_0_affichage = object
{
union	{
	object { Flipper_0_affichage_boite }
	object { Flipper_0_affichage_fronton translate <0, 190.1, 25> }
	}
}
/*  ---------------------------------------------------------------  */
#declare Flipper_0_pied = object
{
union	{
	difference {
		box { <-2.8, 0, -2.8>, <2.8, 105, 2.8> }
		box { <-1.5, 0, -1.5>, <3.0, 109, 3.0> }
		pigment { color Grey }
		}
	box	{
		<-3.5, 0, -3.5>, <3.5, 2.5, 3.5>
		pigment { color Green }
		}
	}
}
#declare Flipper_0_les_pieds = object
{
union	{
	object { Flipper_0_pied rotate 90*y  translate <-37.5, 0, 169> }
	object { Flipper_0_pied rotate 180*y translate < 37.5, 0, 169> }
	object { Flipper_0_pied              translate <-37.5, 0,   0> }
	object { Flipper_0_pied rotate -90*y translate < 37.5, 0,   0> }
	}
}
/*  ---------------------------------------------------------------  */
/*  ---------------------------------------------------------------  */
#declare Flipper_0_support = object
{
/* le lien entre le plateau de jeu et le tableau d'affichage */
box { <-20, 0, -2>, <20, 40, 2> }
texture { Flipper_0_mechanic }
translate 110*y
}
/*  ---------------------------------------------------------------  */
#declare Flipper_0 = object
{
union	{
	object {  Flipper_0_plateau }
	object {  Flipper_0_affichage }
	object {  Flipper_0_support }
	object {  Flipper_0_les_pieds }
	}
}
/*  ---------------------------------------------------------------  */

