/*     +-----------------------------------------------------------+    */
/*     | GLOBAL-CATCHER        new 9 dcembre 2007, ave St Exupery |	*/
/*     |                                                           |    */
/*     +-----------------------------------------------------------+    */

#include "ecc83.inc"

/* ==================================================================== */
/*	Composants divers 						*/

#declare GC_gris_clair = texture
{
pigment { color Gray70 }
finish { phong 0.35 metallic 0.85 ambient 0.26 }
}
#declare GC_gris_sombre = texture
{
pigment { color Gray20 }
finish { phong 0.25 metallic 0.35 ambient 0.06 }
}
/* texture pour les grilles de ventilateur */
#declare GC_chrome = texture
{
pigment { color Gray20 }
finish { metallic 0.35 phong 0.25 reflection 0.6 }
}

#declare GC_glauque = texture 
{
/* this is JUST an experiment, ok ? */
pigment { Orange }
finish { ambient 0.88 }
}
/* ==================================================================== */
#declare GlobalCatcher_Rack = object
{
box { <-12, 0, 0>, <12, 4.2, -30> }
pigment { color Gray50 }
}
/* d'apres des informations confidentielles en provenance directe 
   de Hanz Prumpleffer, la version rack du Globalcatcher est en
   retard de plusieurs mois^Wannees */
/* ==================================================================== */

#declare d_ventilo = 3.999;
#declare y_ventilo = 7.50;
#declare z_ventilo = -10;

#declare globalcatcher_coffret_boite = object
{
difference {
	box { <-9, 0, 0>, <9, 14.00, -20> }
	box { <-8.85, 0.95, -0.15>, <8.85, 13.85, -19.85> }
	cylinder { <-10, y_ventilo, z_ventilo>, <-7, y_ventilo, z_ventilo>,
					d_ventilo }
	cylinder { < 10, y_ventilo, z_ventilo>, < 7, y_ventilo, z_ventilo>,
					d_ventilo }

	/* la decoupe rectangulaire a l'arriere */
	box { <-2, 2, -21>, <6, 4, -19> }

	/* gruiker les quatre coins verticaux */
	cylinder { <-9, -1, 0>, <-9, 16, 0>, 0.1 }
	cylinder { < 9, -1, 0>, < 9, 16, 0>, 0.1 }
	cylinder { <-9, -1, -20>, <-9, 16, -20>, 0.1 }
	cylinder { < 9, -1, -20>, < 9, 16, -20>, 0.1 }

	}
texture { GC_gris_clair }
}
/* -------------------------------------------------------------------- */
#declare GC_plaque_arriere = object
{
box { <-1.98, 2.02, -20>, <5.98, 3.98, -19> }
texture { GC_glauque }
}
/* -------------------------------------------------------------------- */
#declare globalcatcher_coffret = object
{
union	{
	object { globalcatcher_coffret_boite }
	object { GC_plaque_arriere }
	}
}
/* -------------------------------------------------------------------- */
#declare globalcatcher_base = object
{
box { <-8, 0, -1>, <8, 2.00, -19> }
texture { GC_gris_sombre }
}
/* -------------------------------------------------------------------- */
/* le systeme de refroidissement (c,a chauffe ces petites choses)	*/
#declare GC_grille_vent = object
{
union	{
	torus { d_ventilo,		0.12 }
	torus { d_ventilo*0.75,		0.07 }
	torus { d_ventilo*0.50,		0.07 }
	torus { d_ventilo*0.15,		0.09 }
#declare foo = 0;
#while ( foo < 360 )
	cylinder { <d_ventilo, 0, 0>, <d_ventilo*0.15, 0, 0> 0.05
				rotate foo*y }
	#declare foo = foo + 20;
#end
	}
texture { GC_chrome }
rotate 90*z
}
/* -------------------------------------------------------------------- */
/* la face avant du globalcatcher.					*/
#declare globalcatcher_face_plaque = object
{
union {
	box { <-8.5, 0.8, 0.20>, <8.5, 12.5, -0.10> }
	cylinder { <-8.5, 0.8, 0.10>,  < 8.5, 0.8, 0.10>,  0.20 }
	cylinder { <-8.5, 12.5, 0.10>, < 8.5, 12.5, 0.10>, 0.20 }
	}
texture {
	pigment { color rgb <0.5, 0.5, 0.87> }
	finish { phong 0.77 metallic 0.88 }
	}
}

/* -------------------------------------------------------------------- */
#declare globalcatcher_twikker_a = object
{
merge	{
	cylinder { <0, 0, 0>, <0, 0.12, 0>, 1.00 }
	cone { <0, 0.12, 0>, 1.00, <0, 0.38, 0>, 0.42 }
	}
texture {
	pigment { color Gray30 }
	finish { phong 0.55 phong_size 3.0 }
	}
}
#declare globalcatcher_twikker_c = object
{
difference {
	merge	{
		cylinder { <0, 0.4, 0>, <0, 1, 0>, 0.42 }
		sphere { <0, 0, 0>, 0.42 scale <1, 0.45, 1> translate 1*y }
		}
#local foo = 0;
#while (foo<360)
	#declare dx = sin(radians(foo)) * 0.435;
	#declare dz = cos(radians(foo)) * 0.435;
	cylinder { <0, 0, 0>, <0, 2, 0>, 0.03 translate <dx, 0, dz> }
	#local foo = foo + 20;
#end
	}
texture {
	pigment { color rgb <0.7, 0.2, 0.2> }
	finish { phong 0.55 phong_size 3.0 }
	}
}

#declare globalcatcher_twikker = object
{
union	{
	object { globalcatcher_twikker_a }
	object { globalcatcher_twikker_c }
	}
rotate x*90
}

#declare globalcatcher_panel = object
{
union	{
	box { <-8.00, -1.20, 0>, <8.00, 1.20, 0.24> }
	box { <-7.00, -0.80, 0>, <-6.00, 0.80, 0.35> }
	}
texture {
	pigment { color  Yellow  }
	finish { reflection 0.5 }
	}
}

#declare globalcatcher_face = object
{
union	{
	object { globalcatcher_face_plaque }
	object { globalcatcher_twikker translate <-6, 6, 0.80> }
	object { globalcatcher_twikker translate < 0, 7, 0.80> }
	object { globalcatcher_twikker translate < 0, 4, 0.80> }
	object { globalcatcher_twikker translate < 6, 6, 0.80> }
	object { globalcatcher_panel   translate < 0, 10.6, 0.24> }

	/* nouveau 26 mars 2010 - container Tetalab */
#include "connecteurs.inc"
	object { Connecteur_ALC_0 translate <5, 2.6, 0.15> }
	}
}
/* -------------------------------------------------------------------- */
#declare globalcatcher_box_a = object
{
union	{
	object { globalcatcher_coffret }
	object { GC_grille_vent translate <-9, y_ventilo, z_ventilo> }
	object { GC_grille_vent translate < 9, y_ventilo, z_ventilo> }
	object { globalcatcher_face }
	}
}
/* -------------------------------------------------------------------- */
/*									*/
/*		Toute la tripaille electronique interne			*/
/*									*/
#declare globalcatcher_ecc83s = object
{
union	{
#declare foo = 0;
#while (foo < 4)
	object { Tube_ecc83 translate <0, 0, (foo*3)-14> }
	#declare foo = foo + 1;
#end
	}
}

/* -------------------------------------------------------------------- */
/* assemblage final du fleuron de chez Prumpleffer			*/

#declare GlobalCatcher_Box = object
{
union	{
	object { globalcatcher_box_a translate 1.87*y }
	object { globalcatcher_base }

	/* provisoire */
	object { globalcatcher_ecc83s translate 2.35*y }
	}
}
/* ==================================================================== */
/* ==================================================================== */

