/*
 *	LES MEUBLES DE TTH - new 6 avr 2008 - ave St Exupery
 */

#include "finish.inc"

/*  ===============================================================  */
/* 20 dec 2009 - un banc de jardin public, a la demande des kids */
#declare Frm_Banc_0_pied = object
{
difference {
	cylinder { <0, 0, 0>, <0, 50, 0>, 7 }
	torus { 7 1.5 scale <1, 8, 1> translate 27*y }
	torus { 7 0.8 scale <1, 2, 1> translate  5*y }
	}
}
#declare Frm_Banc_0_pieds = object 
{
union	{
	object { Frm_Banc_0_pied   translate <-130, 0, -20> }
	object { Frm_Banc_0_pied   translate < 130, 0, -20> }
	object { Frm_Banc_0_pied   translate <-130, 0,  20> }
	object { Frm_Banc_0_pied   translate < 130, 0,  20> }
	object { Frm_Banc_0_pied   }
	}
}

#declare Frm_Banc_0_assise = object
{
difference {
	box { <-142, 0, -35>, <142, 6, 35> }
#declare foo = -25;
#while (foo < 25)
	cylinder { <-150, 0, foo>, <150, 0, foo>, 1.20
		scale <1, 0.314, 1> translate 6.07*y }
	#declare foo = foo + 4.5;
#end
	}
translate 50*y	/* la heuteur devrait etre parametrable */
}

#declare Banc_0_gris = object
{
union	{
	object { Frm_Banc_0_pieds	pigment { color Gray30 } }
	object { Frm_Banc_0_assise	pigment { color Gray60 } }
	}
}

/*  ===============================================================  */
#declare Frm_Tabouret_0 = object
{
union	{
	difference {
		union	{
			cylinder { <0, 40, 0>, <0, 42, 0>, 20 }
			torus { 20, 1 translate 41*y }
			}
		union	{
			cylinder { <0, 41.5, 0>, <0, 43.5, 0>, 12 }
			torus { 12, 1 translate 42.5*y }
			}
		}

	torus { 16.8, 0.6 translate 35 * y }

	cylinder { <-12, 0, -12>, <-12, 40, -12>, 1.5 }
	cylinder { < 12, 0, -12>, < 12, 40, -12>, 1.5 }
	cylinder { <-12, 0,  12>, <-12, 40,  12>, 1.5 }
	cylinder { < 12, 0,  12>, < 12, 40,  12>, 1.5 }

	cylinder { <-12, 6, -12>, < 12, 6, 12>, 0.6 }
	cylinder { < 12, 6, -12>, <-12, 6,  12>, 0.6 }
	}
}
/*  ---------------------------------------------------------------  */
#declare Tabouret_0_gris = object
{
object { Frm_Tabouret_0 }
texture	{
	pigment { color Gray65 }
	finish { phong 0.84 }
	}
}
/*  ---------------------------------------------------------------  */
#declare Tabouret_0_blanc = object
{
object { Frm_Tabouret_0 }
texture	{
	pigment { color White }
	finish { phong 0.84 ambient 0.33 }
	}
}
/*  ===============================================================  */
/*  ===============================================================  */
/* new 01 aout 2008 - avenue St Exupery */
#declare Frm_Chaise_0 = object
{
union	{
	/* les quatre pieds */
	box { <-16, 0, -16>, <-12.9, 42, -12.9> }
	box { <-16, 0,  16>, <-12.9, 42,  12.9> }
	box { < 16, 0, -16>, < 12.9, 75, -12.9> }
	box { < 16, 0,  16>, < 12.9, 75,  12.9> }

	/* l'assise */
	difference {
		box { <-16.42, 40, -16.42>, <16.42, 42, 16.42> }
		box { <-11.30, 41.75, -11.60>, <10.30, 43, 11.60> }
		}

	/* le dossier */
	difference {
		box { <15.0, 60, 14>, <14.0, 70, -14> }
		cylinder { <16, 65, 0>, <11, 65, 0>, 3 }
		cylinder { <16, 65, -7>, <11, 65, -7>, 1.5 }
		cylinder { <16, 65, 7>, <11, 65, 7>, 1.5 }
		}
	/* les barreaux */
	cylinder { <-14.5, 11, -14.5>, <-14.5, 11,  14.5>, 0.8 }
	cylinder { < 14.5, 11, -14.5>, < 14.5, 11,  14.5>, 0.8 }

	cylinder { <-14.5, 9, 14.5>, <14.5, 9, 14.5>, 0.8 }
	cylinder { <-14.5, 9, -14.5>, <14.5, 9, -14.5>, 0.8 }
	}
}
/*  ---------------------------------------------------------------  */
#declare Chaise_0_brown = object
{
object { Frm_Chaise_0 }
texture	 {
	pigment { color Brown }
	finish { phong 0.88 }
	}
}
#declare Chaise_0_flashy = object
{
object { Frm_Chaise_0 }
texture {
	pigment { color Pink }
	finish { phong 0.12 reflection 0.777 }
	}
}
#declare Chaise_0_metal = object
{
object { Frm_Chaise_0 }
texture {
	pigment { color Gray20 }
	finish { ambient 0.42 metallic 0.80 }
	}
}
/*  ===============================================================  */
/*
 *	BON CE TRUC DATE DE 2007 ! Et il serait temps de le finir !
 */
#declare TriPod_0 = object
{
union	{
	/* les trois pieds */
#declare foo = 0;
#while (foo < 360)
	// #debug concat("TriPod: ", str(foo, 6, 2), "\n")
	#declare foo = foo + 120;
#end
	/* le plateau intermdiaire */
	cylinder { <0, -1, 0>, <0, 1, 0>, 7.42 }
	torus { 7.42, 1 }

	}
texture {
	pigment { color Yellow }
	}
translate y*20
}
/*  ===============================================================  */
/* nouveau 15 octobre 2009 - ave StEx - pour mettre pret de la table
 *					d'aperitif de la scene 16
 *					de l'exPOVsition 
 */
#declare Tabouret_bar_0_a = object
{
/* c'est la base du pied du tabouret */
difference {
	merge	{
		// cylinder { <0, 0, 0>, <0, 1, 0>, 28.3 }
		cone { <0, 0, 0>, 28.3, <0, 10, 0>, 6.3 }
		cone { <0, 9, 0>,  8.3, <0, 12, 0>, 6.3 }
		}
	cylinder { <-15, -1, -15>, <-15, 20, -15>, 12.34 }
	cylinder { < 15, -1, -15>, < 15, 20, -15>, 12.34 }
	cylinder { <-15, -1,  15>, <-15, 20,  15>, 12.34 }
	cylinder { < 15, -1,  15>, < 15, 20,  15>, 12.34 }

	/* et on vide un peu le dessous (31 mai 2010) */
	sphere { <0, 0, 0>, 19.00 scale <1, 0.3, 1> }
	}
/* XXX this element need a lot of work ! */
texture {
	pigment { color Brass }
	finish { phong 0.26 phong_size 20 reflection 0.51 }
	}
}

#declare Tabouret_bar_0_b = object
{
/* c'est la colonne du pied du tabouret */
merge	{
	cylinder { <0, 10, 0>, <0, 70, 0>, 2.4 }
	cylinder { <0, 55, 0>, <0, 56, 0>, 2.4 }
	}
/* XXX this element need a lot of work ! */
texture {
	pigment { color Copper }
	finish { phong 0.12 reflection 0.42 }
	}
}

#declare Tabouret_bar_0_c = object
{
union	{
	/* un anneau pour poser les pieds */
	torus { 22, 0.8 translate 22*y }
	#local foo = 0;
	#while (foo < 360)
		#local dx = sin(radians(foo)) * 22;
		#local dz = cos(radians(foo)) * 22;
		cylinder { <dx, 22, dz>, <0, 16, 0>, 0.4 }
		#local foo = foo + 45;
	#end
	}
texture { pigment { color White } }
}

#declare Tabouret_bar_0_pied = object
{
merge	{
	object { Tabouret_bar_0_a }
	object { Tabouret_bar_0_b }
	object { Tabouret_bar_0_c }
	}
}

#declare Tabouret_bar_0_b1 = object
{
merge	{
	cylinder { <0, 0, 0>, <0, 3.2, 0>, 22.6 }
	torus { 22.0 0.30 translate 1.2*y }
	}
texture {
	pigment { color rgb <0.20, 0.25, 0.20> }
	finish { metallic 0.8 reflection 0.8 }
	}
}

#declare Tabouret_bar_0_b2 = object
{
cylinder { <0, 1, 0>, <0, 9.2, 0>, 21.6 }
texture {
	pigment { color Gray70 }
	}
}

#declare Tabouret_bar_0_b = object
{
union	{
	object { Tabouret_bar_0_b1 }
	object { Tabouret_bar_0_b2 }
	}
translate 70*y
}

#declare Tabouret_bar_0 = object
{
union	{
	object { Tabouret_bar_0_pied }
	object { Tabouret_bar_0_b }
	}
}
/*  ===============================================================  */
/* nouveau 15 octobre 2009 - ave StEx - pour mettre autour de la table
 *					familiale de la scene 03
 *					de l'exPOVsition 
 */

/*  ===============================================================  */
/* nouveau janvier 2009 - au Petit London */

#declare Table_De_Bistrot_plateau = object
{
box { <-24, 70, -36.50>, <24, 72, 36>
texture {
	pigment { color Gray90 } }
	}
}
#declare Table_De_Bistrot_pied_bas = object
{
difference	{
	box { <-19, 0, -3>, <19, 2, 3> }
	box { <-17, -1, -4>, <17, 1, 4> }
	}
}
#declare Table_De_Bistrot_pied_haut = object
{
cylinder { <0, 0, 0>, <0, 70, 0>, 1.5 }
}
#declare Table_De_Bistrot_pieds = object
{
union	{
	object { Table_De_Bistrot_pied_haut translate -30*z }
	object { Table_De_Bistrot_pied_bas  translate -30*z }
	cylinder { <0,  5, -30>, <0,  5, 30>, 1.0 }
	cylinder { <0, 50, -30>, <0, 50, 30>, 1.0 }
	object { Table_De_Bistrot_pied_haut translate  30*z }
	object { Table_De_Bistrot_pied_bas  translate  30*z }
	}
texture {
	pigment { color Gray30 } 
	}
}
#declare Table_De_Bistrot = object
{
union	{
	object { Table_De_Bistrot_plateau }
	object { Table_De_Bistrot_pieds }
	}
}
/*  ===============================================================  */

#declare Table_de_jeu_0_pied_a = object
{
union	{
	box { <-1.00, 0.00, -1.00>, <1.00, 41, 1.00> }
	box { <-1.21, 0, -1.21>, <1.21, 1.42, 1.21> }
	}
texture {
	pigment { color ForestGreen }
	finish { Phong_Shiny }
	}
}
#declare Table_de_jeu_0_pied_b = object
{
union	{
	cylinder { <-16, 0.15, -33>, <16, 0.15, 33>, 0.35 }
	cylinder { <-16, 0.15, 33>, <16, 0.15, -33>, 0.35 }
	}
texture {
	pigment { color Gray30 }
	finish { Phong_Shiny }
	}
}

#declare Table_de_jeu_les_pieds = object
{
union	{
	object { Table_de_jeu_0_pied_a translate <-16, 0, -33> }
	object { Table_de_jeu_0_pied_a translate < 16, 0, -33> }
	object { Table_de_jeu_0_pied_a translate <-16, 0,  33> }
	object { Table_de_jeu_0_pied_a translate < 16, 0,  33> }
	object { Table_de_jeu_0_pied_b }
	}
}

#declare Table_de_jeu_0_plateau = object
{
box { <-20, 40, -36>, <20, 42, 36> }
texture {
	pigment { color ForestGreen }
	finish { Phong_Shiny }
	}
}
#declare Table_de_jeu_0_cadre = object
{
union	{
	cylinder { <-20, 41, -36>, <-20, 41, 36>, 1.19 }
	cylinder { < 20, 41, -36>, < 20, 41, 36>, 1.19 }
	cylinder { <-20, 41, -36>, < 20, 41,-36>, 1.19 }
	cylinder { <-20, 41,  36>, < 20, 41, 36>, 1.19 }
	}
texture {
	pigment { color Green }
	finish { Phong_Shiny }
	}
}

#declare Table_de_jeu_0 = object
{
union	{
	object { Table_de_jeu_0_plateau }
	object { Table_de_jeu_0_cadre }
	object { Table_de_jeu_les_pieds }
	}
}
/*  ===============================================================  */
/* cette table basse est venue de l'exPOVsition */

#declare Table_Basse_0_pied = object
{
merge	{
	cylinder { <0, 0, 0>, <0, 33, 0>, 1.24 }
	sphere { <0, 0, 0>, 2.50 scale <1, 0.4, 1> }
	}
}
#declare Table_Basse_0_plateau = object
{
union	{
	cylinder { <0, 0, 0>, <0, 1.5, 0>, 33 }
	torus { 33, 0.75 translate 0.75*y }
	}
translate 33*y
}
#declare Table_Basse_0_arceau = object
{
intersection {
	torus { 24.50, 0.70 rotate 90*x }
	box { <-30, 0, -6>, <30, 30, 6> }
	}
translate 9.0*y
}
#declare Table_Basse_0 = object
{
union	{
	object { Table_Basse_0_plateau }
	object { Table_Basse_0_arceau rotate -45*y }
	object { Table_Basse_0_arceau rotate  45*y }
	object { Table_Basse_0_pied translate <-18, 0, -18> }
	object { Table_Basse_0_pied translate < 18, 0, -18> }
	object { Table_Basse_0_pied translate <-18, 0,  18> }
	object { Table_Basse_0_pied translate < 18, 0,  18> }
	}
texture {
	pigment { color ForestGreen }
	finish { phong 0.82 }
	}
}
/*  ===============================================================  */
/* nous allons maintenant partir a la poursuite des fantomes */
#declare Gueridon_0_pied = object
{
union	{
	cylinder { <-2, 0, -2>, <-2, 62, -2>, 2.3 }
	cylinder { < 2, 0, -2>, < 2, 62, -2>, 2.3 }
	cylinder { <-2, 0,  2>, <-2, 62,  2>, 2.3 }
	cylinder { < 2, 0,  2>, < 2, 62,  2>, 2.3 }
	sphere { <0, 0, 0>, 24.6 scale <1, 0.18, 1> }
	}
texture {
	pigment { color NeonPink }
	finish { phong 0.12 reflection 0.466 }
	}
}
#declare Gueridon_0_plateau = object
{
union	{
	cylinder { <0, 0, 0>, <0, 1.60, 0>, 38 }
	torus { 38, 0.80 translate 0.80*y }
	}
translate 72*y
texture	{
	pigment { color Yellow }
	finish { phong 0.80 }
	}
}
#declare Gueridon_0 = object
{
union	{
	object { Gueridon_0_pied }
	object { Gueridon_0_plateau }
	}
}
/*  ===============================================================  */
#declare Frm_Grosse_Table_pied = object
{
difference {
	box { <-4, 0, -4>, <4, 84, 4> }

	/* quatre rainures sur les quatre cotes du pied */
	#declare prof = 3.5;
	#declare larg = 2.5;
	box { <-5, 10, -larg>, <-prof, 60,  larg> }
	box { < 5, 10, -larg>, < prof, 60,  larg> }

	box { <-larg, 10, -5>, < larg, 60, -prof> }
	box { <-larg, 10,  5>, < larg, 60,  prof> }
	}
}
#declare Frm_Grosse_Table_barre = object
{
difference {
	box { <-1.8, 0, -80>, <1.8, 11, 80> }
#declare foo = -60;
#while (foo < 61)
	cylinder { <-2, 5, 0>, <2, 5, 0>, 2.3456 translate foo*z }
	#declare foo = foo + 20;
#end
	}
}
/*  ---------------------------------------------------------------  */
#declare Frm_Grosse_Table = object
{
union	{
	box { <-60, 84, -176>, <60, 87, 174> }
	object { Frm_Grosse_Table_pied translate <-50, 0, -164> }
	object { Frm_Grosse_Table_pied translate < 50, 0, -164> }
	object { Frm_Grosse_Table_pied translate <-50, 0,  164> }
	object { Frm_Grosse_Table_pied translate < 50, 0,  164> }
	object { Frm_Grosse_Table_pied translate <-50, 0,  0> }
	object { Frm_Grosse_Table_pied translate < 50, 0,  0> }

	object { Frm_Grosse_Table_barre translate <-50, 70, -82> }
	object { Frm_Grosse_Table_barre translate < 50, 70, -82> }
	object { Frm_Grosse_Table_barre translate <-50, 70,  82> }
	object { Frm_Grosse_Table_barre translate < 50, 70,  82> }
	}
}
/*  ---------------------------------------------------------------  */
#declare Grosse_Table = object
{
object {
	Frm_Grosse_Table
	texture {
		pigment { color Pink }
		finish { phong 0.32 reflection 0.611 }
		}
	}
}
/*  ---------------------------------------------------------------  */
#declare Grosse_Table_Grise = object
{
object {
	Frm_Grosse_Table
	texture {
		pigment { color Gray50 }
		finish { phong 0.32 reflection 0.111 }
		}
	}
}
/*  ===============================================================  */
#debug "***** fin des meubles de tth  ****\n"
/*  ===============================================================  */
