/*
 *	fichier de test pour la vaisselle
 */

#include  "colors.inc"
#include "vaisselle.inc"

object { Carafe_0	translate  z*27 }
object { Verre_3 	translate  x*54 }
object { Coupe_0_b	translate <-2.00, 0, -15.00 > }

//=====================================================================
plane { y, 0 pigment { checker color Gray40, color Orange scale 100 } }
cylinder { <0, 0, 0>, <100, 0, 0>, 0.2 pigment { color Red } }
cylinder { <0, 0, 0>, <0, 100, 0>, 0.2 pigment { color Green } }
cylinder { <0, 0, 0>, <0, 0, 100>, 0.2 pigment { color Blue } }

#declare CONS = 150;
light_source { <288, 620, -CONS*4.9> color White }
light_source { <990, 240,  CONS*3.7> color White }

camera	{
	location	<CONS*1.05, 36, CONS*0.04>
	look_at		<0, 2.5, 0>
	angle 		28
	}
//=====================================================================
