
#include  "colors.inc"
#include  "stones.inc"
#include  "metals.inc"
#include  "textures.inc"

global_settings
	{
	assumed_gamma	1.75
	}

plane { y, 0 pigment { checker color Gray70, color Gray50 scale 100 } }
background { color Gray75 }

cylinder { <0, 0, 0>, <100, 0, 0>, 1 pigment { color Red } }
cylinder { <0, 0, 0>, <0, 100, 0>, 1 pigment { color Green } }
cylinder { <0, 0, 0>, <0, 0, 100>, 1 pigment { color Blue } }

#include "connecteurs.inc"
object { Connecteur_ALC_0 scale 10 translate 14*y }

/*-----------------------------------------------------*/

#declare CONS = 250;
light_source { <588, 620,  CONS*2.9> color White }
// light_source { <190, 24,  CONS*3.7> color White }

camera	{
	location	<CONS*0.41, 60, CONS*0.39>
	look_at		<0, 14, (CONS*0.01)>
	angle 		24
	}

/*-----------------------------------------------------*/
