/*
 *	3d_2mrd.inc - new 15 mars 2010
 *	"Neuneu decouvre le raytracing"
 *	RAPPEL: on mesure en centimetres !
 */

/*-------------------------------------------------------------------*/
#declare troiD_DM_boule = object
{
sphere { <0, 0, 0>, 8 }
texture {
	pigment { color Gray90 }
	finish { phong 0.666 reflection 0.90 }
	}
translate <-15, 8.5, -2>
}
#declare troiD_DM_cone = object
{
cone { <0, 0, 0>, 10, <0, 15, 0>, 0 }
texture {
	pigment { color Green }
	finish { phong 0.666 reflection 0.90 }
	}
rotate -4*x
translate <2, 0.8, 9.5>
}
#declare troiD_DM_cube = object
{
box { <-7, 0, -7>, <7, 12, 7> }
texture {
	pigment { color Red }
	finish { phong 0.666 reflection 0.90 }
	}
rotate <6, -17, 5>
translate <21, 1.6, 2.5>
}
/*-------------------------------------------------------------------*/
#declare troiD_DM_premier_truc = object
{
union	{
	object { troiD_DM_boule }
	object { troiD_DM_cone }
	object { troiD_DM_cube }
	}
}
/*-------------------------------------------------------------------*/
