/*
 *	fichier de test pour les clefs - 24 juin 2006
 *	=============================================
 */

#include  "colors.inc"
#include  "clefs.inc"
#include  "metals.inc"

union	{
	// object { Clef_0 rotate -15*y translate -z*7.5 }
	object { Clef_1 translate -z*2.5 }
	// object { Clef_2 rotate <0, 30, 5> translate  z*1.5 translate y*2.80 }
	// object { Clef_3 translate  z*5.5 }
	object { Clef_4 translate  z*2.5 }
	scale 11
	texture { T_Brass_3A }
	translate y*7 
	}

/*-----------------------------------------------------*/

#declare CONS = 250;
light_source { <488, 620, -CONS*3.9> color White }
light_source { <190, 240,  CONS*2.7> color White }

camera	{
	location	<CONS*0.56, 100, CONS*0.23>
	look_at		<0, 15, 0>
	angle 		42
	}

plane { y, 0 pigment { checker color Gray70, color Gray50 scale 100 } }
background { color Gray75 }

cylinder { <0, 0, 0>, <100, 0, 0>, 0.8 pigment { color Red } }
cylinder { <0, 0, 0>, <0, 100, 0>, 0.8 pigment { color Green } }
cylinder { <0, 0, 0>, <0, 0, 100>, 0.8 pigment { color Blue } }

/*-----------------------------------------------------*/
