/*
 *	MyLib/fontes.pov
 */
#include  "colors.inc"

/*-------------------------------------------------------------------*/

#include  "fontes.inc"

object { demofonte("plop", "blades.ttf")
	pigment { color Yellow }
	scale 42  translate y*5
	rotate -40*y translate <-80, 10, -40> }

object { demofonte("Sonia", "dotmatrx.ttf")
	pigment { color Yellow }
	scale 42  translate y*5
	rotate 10*y translate <-20, 10, -70> }

object { demofonte("Sonia", "decker.ttf")
	pigment { color Yellow }
	scale 42  translate y*5
	rotate -30*y translate <-20, 10,  70> }

#declare CONS = 250;
light_source { <488, 620, -CONS*4.9> color White }
light_source { <190, 240,  CONS*3.7> color Gray70 }

camera	{
	location	<CONS*1.2, 60, -CONS*0.08>
	look_at		<0, 20, 0>
	angle 		51
	}

/*-------------------------------------------------------------------*/
plane { y, 0 pigment { checker color Gray70, color Gray50 scale 100 } }
background { color Gray40 }

cylinder { <0, 0, 0>, <100, 0, 0>, 1 pigment { color Red } }
cylinder { <0, 0, 0>, <0, 100, 0>, 1 pigment { color Green } }
cylinder { <0, 0, 0>, <0, 0, 100>, 1 pigment { color Blue } }
/*-------------------------------------------------------------------*/
