
#include  "colors.inc"
#include  "metals.inc"
#include  "textures.inc"

global_settings
	{
	assumed_gamma	1.75
	}

plane { y, 0 pigment { checker color Gray70, color Gray50 scale 100 } }
background { color Gray25 }

cylinder { <0, 0, 0>, <100, 0, 0>, 0.15 pigment { color Red } }
cylinder { <0, 0, 0>, <0, 100, 0>, 0.15 pigment { color Green } }
cylinder { <0, 0, 0>, <0, 0, 100>, 0.15 pigment { color Blue } }

#include  "globalcatcher.inc"
object { GlobalCatcher_Box }

/*-----------------------------------------------------*/

#declare CONS = 250;
light_source { <488, 620, -CONS*1.1> color White }
light_source { <390,  40,  CONS*1.1> color White }

camera	{
	location	<CONS*0.14, 18, CONS*0.19>
	look_at		<0, 6, -3.8>
	angle 		29.83
	}

/*-----------------------------------------------------*/
