/*
			de la vaisselle...
*/

#ifdef(Vaisselle_Inc)
#else
	#debug  "\nloading vaisselle.inc"
	#declare Vaisselle_Inc = 1;

#include  "glass.inc"
#include  "stones2.inc"

// ---------------------------------------------------------

#declare Couvert_0_manche = object
{
union {
	cylinder { <-8, 0, 0>, <0, 0, 0>, 0.8 }
	sphere { <-8, 0, 0>, 0.8}
	}
texture {
	pigment { color White }
	finish { phong 0.8 }
	}
}

#declare Couvert_0_virolle = object
{
difference {
	cylinder { <-1, 0, 0>, <0.05, 0, 0>, 0.82 }
	cylinder { <-1.1, 0, 0>, <0.06, 0, 0>, 0.74 }
	}
texture {
	pigment { color Orange }
	finish { metallic 0.7 phong 0.2 }
	}
}
#declare Couteau_0_lame = object
{
merge {
	box { <0, -0.03, -0.8>, <10, 0.03, 0.8> }
	cylinder { <10, -0.03, 0>, <10, 0.03, 0>, 0.8 }
	}
pigment { color Yellow }
}

#declare Couteau_0 = object
{
union {
	object { Couvert_0_manche }
	object { Couvert_0_virolle }
	object { Couteau_0_lame }
	}
translate y*1
}

#declare Fourchette_0_fork = object
{
cylinder { <0, 0, 0>, <4, 0, 0>, 0.22 }
pigment { color Yellow }
}

#declare Fourchette_0 = object
{
union {
	object { Couvert_0_manche }
	object { Couvert_0_virolle }
	object { Fourchette_0_fork }
	}
translate y*1
}
// ---------------------------------------------------------
/*
		ASSIETTES
 */
#declare  Assiette_1 = object
{
union {
	difference
		{
		cylinder { <0, 0, 0>, <0, 1, 0>, 10 }
		cylinder { <0, 0.1, 0>, <0, 1.1, 0>, 9.9 }
		}
	torus { 9.95, 0.09 translate y*1 }
	}
texture	{
	pigment { color <0.92, 0.92, 0.973> }
	}
}

#declare  Assiette_2 = object
{
difference {
	cylinder { <0, 0, 0>, <0, 1, 0>, 10 }
	cylinder { <0, 0.1, 0>, <0, 1.1, 0>, 9.9 }
	}
texture {
	pigment { color <0.42, 0.42, 0.942> }
	}
}

#declare  Assiette_3 = object
{
difference {
	cylinder { <0, 0, 0>, <0, 1.3, 0>, 11 }
	cylinder { <0, 0.1, 0>, <0, 1.4, 0>, 10.5 }
	}
texture {
	pigment { color <0.92, 0.42, 0.42> }
	finish { metallic 0.6 }
	}
}

#declare Assiette_4 = object
{
union {
	difference {
		cone { <0, 0, 0>, 11 <0, 1, 0>, 12 }
		cone { <0, 0.2, 0>, 10.9 <0, 1.2, 0>, 11.9 }
		}
	torus  { 12, 0.08 translate y*1.2  }
	}
texture {
	pigment {
		bozo
		turbulence 0.15
		color_map {
			[0.00	rgb <0.2, 0.2, 0.4> ]
			[1.00	rgb <0.7, 0.9, 0.8> ]
			}
		scale 2.42
		}
	finish { ambient 0.25 }
	}
}

// ---------------------------------------------------------

#declare Verre_1 = object
{
merge	{
	difference {
		cylinder { <0, 0, 0>, <0, 8, 0>, 3 }
		cylinder { <0, 0.2, 0>, <0, 8.1, 0>, 2.8 }
		torus { 3.08, 0.35 scale <1, 3, 1>  }
		torus { 3.08, 0.15 scale <1, 2, 1> translate y*2.3 }
		}
	torus { 2.90, 0.1 translate y*8 }
	}
texture {
	pigment { color <0.62, 0.81, 0.83> }
	finish { ambient 0.33 phong 0.87 phong_size 2.50 }
	}
}

#declare Verre_2 = object
{
merge	{
	difference {
		cylinder { <0, 0, 0>, <0, 9, 0>, 3 }
		cylinder { <0, 0.6, 0>, <0, 9.1, 0>, 2.8 }
		}
	torus { 2.9, 0.1 translate y*9 }
	}
interior { I_Glass }
texture { T_Old_Glass }
}

#declare Verre_3 = object
{
merge	{
	torus { 2.85, 0.15 translate y*11 }
	difference
		{
		cylinder { <0, 4, 0>, <0, 11, 0>, 3 }
		cylinder { <0, 4.30, 0>, <0, 11.3, 0>, 2.7 }
		}

	cylinder { <0, 0.1, 0>, <0, 4.0, 0>, 0.66 }

	sphere { <0, 0, 0>, 0.66 scale <1.67, 1, 1.67> translate 0.650*y }

	cylinder { <0, 0, 0>, <0, 0.650, 0>, 2.75 }
	torus { 2.75, 0.15 translate y*0.5 }
	cylinder { <0, 0, 0>, <0, 0.5, 0>, 2.90 }
	}
texture
	{
	pigment { color <0.82, 0.82, 0.973> }
	finish { phong 0.6 }
	}
}


// ---------------------------------------------------------
//	4 Jan 2002: a nice green cup.

#declare Coupe_0 = object
{

lathe {
// XXX	linear_spline
	quadratic_spline
	11
	<0, 0>
	<0, 0>
	<5, 0>
	<4.8, 0.5>
	<1.3, 2>
	<1.3, 3>
	<8, 5>
	<8, 6>
	<7, 6>
	<7, 5>
	<0, 3.5>
	}
}

/* mmmm 8 juin 2010 : ces diverses varientes devraient avoir des 
 * noms plus significatifs...
 */
#declare Coupe_0_a = object
{
object { Coupe_0 }
texture { T_Stone25 scale <11, 12, 13> }
}
#declare Coupe_0_b = object
{
object { Coupe_0 scale <1, 1.375, 1> }
texture { T_Stone35 scale <11, 26, 11> }	/* marbre blanc ? */
}
#declare Coupe_0_cyan = object
{
object { Coupe_0 scale <1, 1.375, 1> }
pigment { color Cyan }
}
#include "textures.inc"
#declare Coupe_0_apocalypse = object
{
object { Coupe_0 scale <1, 0.7, 1.33> }
pigment { Apocalypse scale 2.5  }
}

// ---------------------------------------------------------
/*
 *	Quand le vin est tire, il faut le mettre en carafe
 */

/* corps de la premiere carafe */
#declare Carafe_0_a = object 
{
difference {
	cylinder { <0, 0, 0>, <0, 21, 0>, 7 }
	cylinder { <0, 0.5, 0>, <0, 22, 0>, 6.9 }
	}
}

#declare Carafe_0 = object
{
object { Carafe_0_a }
interior { I_Glass }
texture { T_Beerbottle_Glass }
}
/*    --------------------------------    */

#declare Carafe_1_a = object
{
merge	{
	/* le bas de la carafe */
	cone { <0, 0, 0>, 7.7, <0, 2, 0>, 7 }

	/* le corps de la carafe */
	difference {
		cylinder { <0, 0, 0>, <0, 21, 0>, 7 }
		cylinder { <0, 0.5, 0>, <0, 22, 0>, 6.8 }
		}
	}
}
#declare Carafe_1 = object
{
object { Carafe_1_a }
interior { I_Glass }
texture { T_Beerbottle_Glass }
}
// ---------------------------------------------------------
/*
 *	Hop, voila, il manque plein de trucs...
 */
#end		// #ifdef

